# SourcePath: procps-ng/20130415dev
Summary: The /proc file system utilities.
Name: sony-target-dev-procps-ng
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-procps-ng
Version: 3.3.7
Release: 11000001
License: GPL2 / LGPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL		: http://procps.sourceforge.net
Source		: procps-ng-%{version}.tar.gz
# LOT scripts
Source10: sony-procps-libopt-build-procps
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-ncurses
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
These are utilities to browse the /proc filesystem, which is not a real file
system but a way for the kernel to provide information about the status of
entries in its process table. (e.g. running, stopped or "zombie")
Both command line and full screen utilities are provided. Ncurses is needed
for the full screen utilities.

%package -n %{pkgname}
Summary: The /proc file system utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
These are utilities to browse the /proc filesystem, which is not a real file
system but a way for the kernel to provide information about the status of
entries in its process table. (e.g. running, stopped or "zombie")
Both command line and full screen utilities are provided. Ncurses is needed
for the full screen utilities.

%prep
%setup -n procps-ng-%{version}

%build
%sony_target_dev_setup
export ac_cv_func_malloc_0_nonnull=yes
export ac_cv_func_realloc_0_nonnull=yes

%sony_target_dev_configure --prefix=/usr --exec-prefix= --libdir=/usr/lib \
 --includedir=%{sony_target_dev_include_dir} --disable-nls 

make CC=$CC AR=$AR INCDIRS= CFLAGS="-O2 -s -fPIC -ffunction-sections" | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
cd objdir;

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man1
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man5
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man8
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib
export DESTDIR=%{buildroot}%{sony_target_dir}
export INSTALLBIN="install --mode a=rx"

make CFLAGS="-O2 -s -fPIC -ffunction-sections" OWNERGROUP='' DESTDIR=$DESTDIR INSTALLBIN="$INSTALLBIN" ldconfig=echo install 

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}
install -m 644 ../sysctl.conf \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/kill

# Begin for LOT

mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/procps-ng

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
%define _libdir %{buildroot}%{sony_target_dir}/usr/lib

# Install Library Optimizer information (procps)
install -m 755 %{SOURCE10} %{_optdir}/procps-ng/build
install -m 644 proc/*.o %{_optdir}/procps-ng/
(cd %{_optdir}/procps-ng; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libprocps.so.1.1.1 -o *.o > index)
(umask 022; echo "/usr/lib/libprocps.so.1.1.1" > %{_optdir}/procps-ng/path)

#END OF LOT

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
##%{sony_target_dir}
%{sony_target_dir}%{sony_target_dev_dir}/bin/ps
%{sony_target_dir}%{sony_target_dev_dir}/sbin/sysctl
%{sony_target_dir}%{sony_target_dev_bin_dir}/free
%{sony_target_dir}%{sony_target_dev_bin_dir}/pgrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/pkill
%{sony_target_dir}%{sony_target_dev_bin_dir}/pmap
%{sony_target_dir}%{sony_target_dev_bin_dir}/tload
%{sony_target_dir}%{sony_target_dev_bin_dir}/top
%{sony_target_dir}%{sony_target_dev_bin_dir}/uptime
%{sony_target_dir}%{sony_target_dev_bin_dir}/vmstat
%{sony_target_dir}%{sony_target_dev_bin_dir}/w
%{sony_target_dir}%{sony_target_dev_bin_dir}/watch
%{sony_target_dir}%{sony_target_dev_bin_dir}/pwdx
%{sony_target_dir}%{sony_target_dev_bin_dir}/slabtop
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/sysctl.conf
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libprocps.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libprocps.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libprocps.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libprocps.so.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/libprocps.so.1.1.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/libprocps.pc

# for LOT
%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/*

%changelog
* Mon Apr 15 2013 Sony Corporation - dev-procps-ng
- Version up to 3.3.7

* Thu Sep 19 2007 Sony Corporation - dev-procps
- Change install options in Makefile for install command in coreutils-5.97

* Thu Jun 07 2007 Sony Corporation - dev-procps
- Fix running order of the constructor in libproc.so

* Mon Dec 04 2006 Sony Corporation - dev-procps
- Version up to 3.2.7

* Tue May 24 2005 Sony Corporation - dev-procps
- move /etc/sysctl.conf to /devel/etc/sysctl.conf and add symbolic link

* Tue Feb 01 2005 Sony Corporation - dev-procps
- delete init.d script

* Fri Nov 19 2004 Sony Corporation - dev-procps
- delete online manual

* Fri Aug 20 2004 Sony Corporation - dev-procps
- Initial build. conformed to new rule(2004-08-25)

